// -*-C++-*-
/*!
 * @file  MyDataTypeSVC_impl.cpp
 * @brief Service implementation code of MyDataType.idl
 *
 * @author Tsuyoshi Suenaga, NAIST
 * tsuyo-s@is.naist.jp
 *
 * GNU General Public License
 *
 */

#include "MyDataTypeSVC_impl.h"

/*
 * Example implementational code for IDL interface RecognitionService
 */
RecognitionServiceSVC_impl::RecognitionServiceSVC_impl()
{
  command_receive_flag = false;
  // Please add extra constructor code here.
}


RecognitionServiceSVC_impl::~RecognitionServiceSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::Long RecognitionServiceSVC_impl::getModelID()
{
  return marker_id;
}

void RecognitionServiceSVC_impl::setModelID(CORBA::Long ModelID)
{
  command_receive_flag = true;
  marker_id = ModelID;
}



// End of example implementational code



